from django.conf.urls import include, url
from rest_framework import routers

from .views import BuyableTypeViewSet, BuyableViewSet, OrderViewSet
from .views import TransactionTypeViewSet, TransactionViewSet, VirtualTransactionViewSet

router = routers.DefaultRouter()
router.register('buyabletypes', BuyableTypeViewSet)
router.register('buyables', BuyableViewSet)
router.register('orders', OrderViewSet, basename='order')

router.register('transactiontypes', TransactionTypeViewSet)
router.register('transactions', TransactionViewSet, 'transaction')
router.register('virtualtransactions', VirtualTransactionViewSet, 'virtualtransaction')


urlpatterns = [
    url(r'^', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework'))
]
