# This file is part of k4ever, a point-of-sale system
#   Contact............  <k4ever@lists.someserver.de>
#   Website............  http://k4ever.someserver.de/
#   Bug tracker........  http://k4ever.someserver.de/report
#
# Licensed under GNU Affero General Public License v3 or later

from django.conf.urls import url, include
from django.contrib import admin
admin.autodiscover()
import django.views.static

import main.views

urlpatterns = (
	# Example:
	# (r'^k4ever/', include('k4ever.foo.urls')),
	
	# Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
	# to INSTALLED_APPS to enable admin documentation:
	# (r'^admin/doc/', include('django.contrib.admindocs.urls')),
	# user stuff? go to main
	url(r'^$', main.views.startpage, name='main.views.startpage'),
	url(r'^api2/', include('api2.urls')),
	url(r'^api3/', include('api3.urls')),
	url(r'^user/', include('main.urls')),
	url(r'^transaction/', include('transaction.urls')),
	url(r'^store/', include('buyable.urls')),
	url(r'^media/(?P<path>.*)$', django.views.static.serve, {'document_root': 'media'}),
	url(r'^docs/(?P<path>.*)$', django.views.static.serve, {'document_root': 'docs'}),

	
	# Uncomment the next line to enable the admin:
	url(r'^admin/', include(admin.site.urls)),
)
