# -*- coding: utf-8 -*-
# This file is part of k4ever, a point-of-sale system
#   Contact............  <k4ever@lists.someserver.de>
#   Website............  http://k4ever.someserver.de/
#   Bug tracker........  http://k4ever.someserver.de/report
#
# Licensed under GNU Affero General Public License v3 or later

from django.conf import settings
from django.conf.urls import url
from django.views.generic import RedirectView

import main.views
import django.contrib.auth.views

urlpatterns = (
	#(r'^$', 'django.views.generic.simple.redirect_to', {'url': 'login/'}),
	url(r'^$', RedirectView.as_view(url='login/')),
	url(r'^register/$', main.views.register, name='register'),
	url(r'^login/$', main.views.login, name='login'),
	url(r'^logout/$', django.contrib.auth.views.logout,
					{'template_name': 'registration/logout.html',
					 'next_page': '/user/login/'}, name='logout'),
	url(r'^settings/$', main.views.settings, name='main_settings'),
	#plugin stuff
	url(r'^settings/plugin/(?P<method>(?:allow|deny))/(?P<pluginId>\d+)/$', main.views.pluginPermission),
	url(r'^settings/plugin/authblob/(?P<pluginId>\d+)/$', main.views.pluginAuthblob),
)
